//-----------------------------------------------------------------------------
// Torque Game Engine 
// Copyright (C) GarageGames.com, Inc.
//-----------------------------------------------------------------------------

//-----------------------------------------------------------------------------
// PlayGui is the main TSControl through which the game is viewed.
//-----------------------------------------------------------------------------

function PlayGui::onWake(%this)
{
   // Turn off any shell sounds...
   // alxStop( ... );
   $enableDirectInput = "1";
   activateDirectInput();

   // Activate the game's action map
   moveMap.push();
}

function PlayGui::onSleep(%this)
{
   // Pop the keymap
   moveMap.pop();
}

function clientCmdSwitchWeapon(%wNum){
  PlayGui.currentWeapon = %wNum;
  
  switch(%wNum){
    case 0:
      Weapon0HUD.setBitmap(expandFileName("./ui/Weapon0Sel.bmp"));
      Weapon1HUD.setBitmap(expandFileName("./ui/Weapon1.bmp"));
      //Weapon2HUD.setBitmap(expandFileName("./ui/Weapon2.bmp"));
      
    case 1:
      Weapon0HUD.setBitmap(expandFileName("./ui/Weapon0.bmp"));
      Weapon1HUD.setBitmap(expandFileName("./ui/Weapon1Sel.bmp"));
      //Weapon2HUD.setBitmap(expandFileName("./ui/Weapon2.bmp"));
    
    //case 2:
    //  Weapon0HUD.setBitmap(expandFileName("./ui/Weapon0.bmp"));
    //  Weapon1HUD.setBitmap(expandFileName("./ui/Weapon1.bmp"));
    //  Weapon2HUD.setBitmap(expandFileName("./ui/Weapon2Sel.bmp"));

  }
  
}
