datablock TriggerData( EndSequenceTrigger ){
	// tickPeriodMS is a value is used to control how often the console
	// onTriggerTick callback is called while there are any objects
	// in the trigger. The default value is 100 MS.
	tickPeriodMS = 8000;
  
  triggered = false;
};

// on esacaping factory
function EndSequenceTrigger::onEnterTrigger( %this, %trigger, %obj ){
  // if this is the player
  if (%obj.getClassName() $= "Player"){    
    // find client for player
    %client = %obj.client;
    
    // signal storyline handler that we've reached the master vat
    %client.storylineHandler.signal("returnToAlly");
  }
}

function EndSequenceTrigger::onLeaveTrigger( %this, %trigger, %obj ){
  // do nothing
}

function EndSequenceTrigger::onTickTrigger( %this, %trigger ){
  // do nothing 
}
