datablock TriggerData( AntiRetardTrigger ){
	// tickPeriodMS is a value is used to control how often the console
	// onTriggerTick callback is called while there are any objects
	// in the trigger. The default value is 100 MS.
	tickPeriodMS = 1000;
};

// on enter master vat area
function AntiRetardTrigger::onEnterTrigger( %this, %trigger, %obj ){
  // if this is the player
  if (%obj.getClassName() $= "Player"){
    if (%obj.client.inventoryContains("Neutralizer") == false){
      %pos = pickSpawnPoint(0); 
      %obj.setTransform(%pos);
      
      bottomPrintAll("\c4Aren't you forgetting something?", 8);
    }
    
    if (%obj.client.storylineHandler.poisonedTheVat == true){
      %pos = pickSpawnPoint(0); 
      %obj.setTransform(%pos);
      
      bottomPrintAll("\c4Bugs aren't suicidal!", 8);
    }
    
    /*// find client for player
    %client = %obj.client;
    
    // signal storyline handler that we've reached the master vat
    %client.storylineHandler.signal("reachMasterVat");*/
  }
}

function AntiRetardTrigger::onLeaveTrigger( %this, %trigger, %obj ){
  // do nothing
}

function AntiRetardTrigger::onTickTrigger( %this, %trigger ){
  // do nothing 
}
