//-----------------------------------------------------------------------------
// Torque Game Engine 
// Copyright (C) GarageGames.com, Inc.
//-----------------------------------------------------------------------------


//-------------------------------------------------------------------------------------------------------

function centerPrintAll( %message, %time, %priority){
  %count = ClientGroup.getCount();
  for (%i = 0; %i < %count; %i++){
    %cl = ClientGroup.getObject(%i);
    if( !%cl.isAIControlled() )
      commandToClient( %cl, 'centerPrint', %message, %time, %priority );
  }
}

//-------------------------------------------------------------------------------------------------------

function bottomPrintAll( %message, %time, %priority){
  %count = ClientGroup.getCount();
	for (%i = 0; %i < %count; %i++){
    %cl = ClientGroup.getObject(%i);
    if( !%cl.isAIControlled() )
      commandToClient( %cl, 'bottomPrint', %message, %time, %priority );
  }
}

//-------------------------------------------------------------------------------------------------------

function centerPrint( %client, %message, %time, %priority){
  commandToClient( %client, 'CenterPrint', %message, %time, %priority );
}

//-------------------------------------------------------------------------------------------------------

function bottomPrint( %client, %message, %time, %priority ){
  commandToClient( %client, 'BottomPrint', %message, %time, %priority );
}

//-------------------------------------------------------------------------------------------------------

function clearCenterPrint( %client ){
  commandToClient( %client, 'ClearCenterPrint');
}

//-------------------------------------------------------------------------------------------------------

function clearBottomPrint( %client ){
  commandToClient( %client, 'ClearBottomPrint');
}

//-------------------------------------------------------------------------------------------------------

function clearCenterPrintAll(){
	%count = ClientGroup.getCount();
	for (%i = 0; %i < %count; %i++){
    %cl = ClientGroup.getObject(%i);
    if( !%cl.isAIControlled() )
      commandToClient( %cl, 'ClearCenterPrint');
  }
}

//-------------------------------------------------------------------------------------------------------

function clearBottomPrintAll(){
  %count = ClientGroup.getCount();
	for (%i = 0; %i < %count; %i++){
    %cl = ClientGroup.getObject(%i);
    if( !%cl.isAIControlled() )
      commandToClient( %cl, 'ClearBottomPrint');
  }
}

//-------------------------------------------------------------------------------------------------------
