// defines the "neutralizer" item
// depends on "itemdata.cs"

//-----------------------------------------------------------------------------

datablock ItemData( NeutralizerItemData ){
  // The mission editor uses the "category" variable to organize this new item under the "shapes" root category.
  category = "Items";

  // Next, we'll tell the mission editor where to find the .dts shape file 
	// that defines our Super Bomb's geometry.
  shapeFile = "~/data/shapes/nos/nos.dts";
};

//-----------------------------------------------------------------------------

function NeutralizerItemData::onCollision( %this, %obj, %col ){
  // delete the item
  %obj.delete();
  
  // get the player's client object
  %client = %col.client;
  
  // Add neutralizer to player's inventory
  %client.inventoryAdd("Neutralizer");
  %client.storylineHandler.signal("getNeutralizer");
}

//-----------------------------------------------------------------------------
