datablock TriggerData( VatTrigger ){
	// tickPeriodMS is a value is used to control how often the console
	// onTriggerTick callback is called while there are any objects
	// in the trigger. The default value is 100 MS.
	tickPeriodMS = 800;
};

function VatTrigger::onEnterTrigger( %this, %trigger, %obj ){
  // do damage immediately upon contact
  if ((%obj.getClassName() $= "Player") || (%obj.getClassName() $= "AiPlayer")){
    // %sourceObject, %position, %damage, %damageType
    %obj.damage("", "0 0 0", %trigger.damageRate, "Poison");
  }
}

function VatTrigger::onLeaveTrigger( %this, %trigger, %obj ){
  // do nothing
}

// damage objects inside the vat constantly
function VatTrigger::onTickTrigger( %this, %trigger ){
  %num = %trigger.getNumObjects();
  for (%i = 0; %i < %num; %i++){
    %obj = %trigger.getObject(%i);
    if ((%obj.getClassName() $= "Player") || (%obj.getClassName() $= "AiPlayer")){
      // %sourceObject, %position, %damage, %damageType
      %obj.damage("", "0 0 0", %trigger.damageRate, "Poison");
    }
  }
}
