datablock TriggerData( FinalTrigger ){
	// tickPeriodMS is a value is used to control how often the console
	// onTriggerTick callback is called while there are any objects
	// in the trigger. The default value is 100 MS.
	tickPeriodMS = 5000;
};

// on esacaping factory
function FinalTrigger::onEnterTrigger( %this, %trigger, %obj ){
    // if this is the player
  	if (%obj.getClassName() $= "Player"){    
	    %client = %obj.client;
    	if ((%client.storylineHandler.GetPoisonState() == true) && (%client.StorylineHandler.escapedtheFactory == false)){
        echo("You Got Out YEAH!");
      	bottomPrintAll("\c4You Escaped, You Are The Bug!", 8);
		    %client.StorylineHandler.completeObjective("Escape");
        %client.StorylineHandler.addObjective("Return");
        %client.StorylineHandler.escapedtheFactory = true;
        %client.player.setRepairRate(%client.player.ourConstantRepairRate);
        AudioLooping2D.volume=0.5;
    	}
    
    /*// find client for player
    %client = %obj.client;
    
    // signal storyline handler that we've reached the master vat
    %client.storylineHandler.signal("reachMasterVat");*/
    }
}

function FinalTrigger::onLeaveTrigger( %this, %trigger, %obj ){
  // do nothing
}

function FinalTrigger::onTickTrigger( %this, %trigger ){
  // do nothing 
}
