// defines the "agent" item
// depends on "itemdata.cs"

//-----------------------------------------------------------------------------

datablock ItemData( AgentItemData ){
  // The mission editor uses the "category" variable to organize this new item under the "shapes" root category.
  category = "Items";

  // Next, we'll tell the mission editor where to find the .dts shape file 
  shapeFile = "~/data/shapes/nos/nos.dts";
};

//-----------------------------------------------------------------------------

function AgentItemData::onCollision( %this, %obj, %col ){
  // delete the item
  %obj.delete();
  
  // get the player's client object
  %client = %col.client;
  
  // Add neutralizer to player's inventory
  %client.inventoryAdd("Agent");
  %client.storylineHandler.signal("getAgent");
}

//-----------------------------------------------------------------------------
