//-----------------------------------------------------------------------------

function AIManager::initialize(%this){
  // create our ally player
  AllyPlayerData::createAllyPlayer();

  // create soldiers
  %this.createSoldiers(0);
}

//-----------------------------------------------------------------------------

function AIManager::think(%this){
  %this.schedule(500,think);
}
//-----------------------------------------------------------------------------

function AIManager::createSoldiers(%this, %mycheckpoint){
  %group = nameToID("Soldiers");
  if (%group != -1) {
    %count = %group.getCount();
    for (%i = 0; %i < %count; %i++){
      %thissoldierspawn = %group.getObject(%i);
      if (%thissoldierspawn.getClassName() $= "SpawnSphere"){

        // Set Default Type as SoldierPrivate
        %datablocktype = "SoldierPrivate";
	     if(%thissoldierspawn.stype $= "SoldierPrivate"){
          %datablocktype = "SoldierPrivate";
        }
        
        // Check the checkpoint
        if(%thissoldierspawn.checkpoint $= "") {
          %thissoldiercheckpoint = 0;
        }else{
          %thissoldiercheckpoint = %thissoldierspawn.checkpoint;
        }

        // Spawn soldier if we need to
        if(%thissoldiercheckpoint >= %mycheckpoint){
           %checkliving = nameToID("SpawnedSoldier" @ %i);
           // If we haven't spawned this soldier before, make him
           if(%checkliving == -1){            
             %checkpath = nameToID(%thissoldierspawn.fpath);
             if(%checkpath != -1){
               %player = SoldierPrivate::spawnOnPath("SpawnedSoldier" @ %i, %thissoldierspawn.fpath, %datablocktype, %thissoldierspawn.getTransform());
             }else{
               %player = SoldierPrivate::spawnOnPath("SpawnedSoldier" @ %i, "", %datablocktype, %thissoldierspawn.getTransform());
             }
           }
        }
      // not a spawn sphere
      }else{
        echo("Warning:  only spawnspheres should be in Soldiers simgroup.");
      }
    }
  // if missing Soldiers group
  }else{
    error("Missing Soldiers group");
  }
}
//-----------------------------------------------------------------------------
/*
function AIManager::spawn(%this){
  %player = AIPlayer::spawnOnPath("Kork","MissionGroup/Paths/Path1");

  if (isObject(%player)){
    %player.followPath("MissionGroup/Paths/Path1",-1);

    %player.mountImage(CrossbowImage,0);
    %player.setInventory(CrossbowAmmo,1000);
    return %player;
  }else{
    return 0;
  }
}
*/
//-----------------------------------------------------------------------------
