datablock AudioProfile(AllyPlayerSpeakSound){
  fileName = "~/data/sound/Insectoid_Talk.wav";
  description = AudioDefault3d;
  preload = true;
};

//-----------------------------------------------------------------------------
// Demo Pathed AIPlayer.
//-----------------------------------------------------------------------------

datablock PlayerData(AllyPlayerData : MainPlayerData){
  //maxForwardSpeed = 5;
  //maxBackwardSpeed = 5;
  //maxSideSpeed = 3;
  shootingDelay = 0;
  //className = "AllyPlayer";
};

//-----------------------------------------------------------------------------
// static method
function AllyPlayerData::createAllyPlayer(){
  %location = AllyPlayerSpawnpoint.getTransform();
  AIPlayer::spawn("AllyPlayer", %location, AllyPlayerData);
}

//-----------------------------------------------------------------------------
// normal method
function AllyPlayerData::moveToFinalLocation(%this, %obj){
  %obj.setMoveSpeed(0.35);
  %obj.pushTask("setMoveDestination(AllyPlayerFinalLocation.getTransform(), false)"); 
  %obj.pushTask("wait(1)");
  %obj.pushTask("aimAt(AllyPlayerFinalLocationPointAt.getId())");
}

//-----------------------------------------------------------------------------

function AllyPlayerData::onReachDestination(%this,%obj){
  // Moves to the next node on the path.
  // Override for all player. Normally we'd override this for only
  // a specific player datablock or class of players.
  if (%obj.path !$= "") {
    if (%obj.currentNode == %obj.targetNode)
      %this.onEndOfPath(%obj,%obj.path);
    else
      %obj.moveToNextNode();
  }else{
    %obj.nextTask();  
  }
}

//-----------------------------------------------------------------------------

function AllyPlayerData::onEndOfPath(%this,%obj,%path){
  %obj.nextTask();
}

//-----------------------------------------------------------------------------

function AllyPlayerData::onEndSequence(%this,%obj,%slot){
  %obj.stopThread(%slot);
  %obj.nextTask();
}

//-----------------------------------------------------------------------------
