
//-----------------------------------------------------------------------------
// The mission editor will invoke this create() method when it wants to create 
// an object of our new datablock type. This is a good time to setup any
// default behavior for our object. For example, our new object's default 
// behavior is to be unmovable or static and rotate in place.
function ItemData::create( %data, %objname){
	if (%data.getName() $= "PuddleData"){
    
    %obj = new Item(%objname){
  		dataBlock = %data;
  		rotate = false;
  		static = false;
      scale = "5 5 0.05";
      isAPuddle = "true";
      health = 100;
  	};

  }else{
  
    %obj = new Item(%objname){
  		dataBlock = %data;
  		rotate = true; // all items rotate
  		static = true; // all items do not move from initial position
  	};
    
  }
	return %obj;
}

//-----------------------------------------------------------------------------
